


*Prepare Target data*
use "Data/SC3_D_10-0-0/Stata\SC3_pTarget_D_10-0-0.dta", clear
keep if tx20100 == 1
tempfile a
save `a', replace


*Open Cohort Profile*
use "Data/SC3_D_10-0-0/Stata\SC3_CohortProfile_D_10-0-0.dta", clear


*Merge pupil data*
merge 1:1 ID_t wave using `a', nogen


*Merge parent data*
merge 1:1 ID_t wave using "Data/SC3_D_10-0-0/Stata\SC3_pParent_D_10-0-0.dta", nogen


*Merge weights*
merge m:1 ID_t using "Data/SC3_D_10-0-0/Stata\SC3_Weights_D_10-0-0.dta", nogen


*Merge Federal state of schools*
merge m:1 ID_i using "Data/Federal_states.dta", nogen		//use information in remote version


*Prepare competence data*
preserve
use "Data/SC3_D_10-0-0/Stata\SC3_xTargetCompetencies_D_10-0-0.dta", clear
keep ID_t mag5_sc1u mag7_sc1u mag9_sc1u mag12_sc1u ///
	reg5_sc1u reg7_sc1u reg9_sc1u reg12_sc1u dgg5_sc3b dgg5_sc3a
nepsmiss
rename mag5* math5
rename mag7* math7
rename mag9* math9
rename mag12* math12
rename reg5* read5
rename reg7* read7
rename reg9* read9
rename reg12* read12
rename dgg5_sc3b dgcfsum5
rename dgg5_sc3a dgcfspeed5

reshape long math@ read@ dgcfspeed@ dgcfsum@, i(ID_t) j(wave)
replace read = . if read < -6
replace wave = 1 if wave == 5
replace wave = 3 if wave == 7
replace wave = 5 if wave == 9
replace wave = 9 if wave == 12
fre wave
sort ID_t wave
tempfile c
save `c', replace
restore
merge 1:1 ID_t wave using `c', nogen keep(1 3)


*Throw out useless data since not available*
drop *_R
drop *_O


quiet nepsmiss		//Takes some time (1h+)
quiet compress
label data "Created from Preparation.do"
save "Data/Workfile.dta", replace
